interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 11390 characters]
        qozlc1pSxvqDodNvHx6G3R/0OkNTri4Zu13f/v7/D+XjURbVAAA=
    headers:
      CF-RAY: [2d097e11ae7651a6-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7676']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:04:51 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d2da521888f52ca3cef31c0d494a883fd1470895490; expires=Fri,
          11-Aug-17 06:04:50 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=9Slth9uGbxsMZUtnXW;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:51
          GMT; secure', 'loidcreated=2016-08-11T06%3A04%3A50.860Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:51 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d2da521888f52ca3cef31c0d494a883fd1470895490; expires=Fri,
          11-Aug-17 06:04:50 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=9Slth9uGbxsMZUtnXW;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:51
          GMT; secure', 'loidcreated=2016-08-11T06%3A04%3A50.860Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:51 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=g9rLMWIw5156glRDGiIrOUlgEUqwjB%2BlJtuIH5hzFrPjSmYK1nOoegKh5H8myL%2Bg5%2FVQB4e7pjg%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: refresh_token=**********&grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [loid=9Slth9uGbxsMZUtnXW; loidcreated=2016-08-11T06%3A04%3A50.860Z;
          __cfduid=d2da521888f52ca3cef31c0d494a883fd1470895490]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMTWvCUBBF/8rw1gopYtBuu1AoBFcu3IT3ca1Dm7znzCSYFv97ee3qwuGc++N8
        jFDtLX9idK/krtOpfL0d3s+3fRua7nDc3pvucv1ev+zcityf19tSUOUAL5DKE2aO6DlV3OURFeJR
        WKA91+dN2zQrchrzf4vERjdWy7IQJ4zGttCw6BQEKbEpFeHZGwao+g8oCXwiQclipH4G6RQGtjoa
        hQNozgb3/AWQrD6W1gAAAA==
    headers:
      CF-RAY: [2d097e1d7ed81ee3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:04:53 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAIYVrFcC/31V23LbQAj9lY6fO53EcZukP8OgFZIZrXbVvdhxMvn3wlqKVnXSNxtYOBwO6G3H
        EWicrL8Q7X5/69BG+v5td8QII7KtTA5HjdgZPrHlV0zsHUxHfCV42InfBMJErYTcH/Y/9w/3vw53
        P+40F7cEXfAjBN/4FKucUjzmOJFry8PFPKeCnMyS7m7/tKRTaL79F55lN8CAYUQx7vfPmt1BQ0n/
        fyT240gufcQ9HsTYSbEcSHG9yRtJRMAj9gRToBPTOYL1fS94fE4SlELWXIF6jomC0CdIoLP+DImi
        RrztThgYnf6Wmi4Fb2GvJNHLRIELBtaO9w/vBfuJ4IiTEMGuB+fPaxlsI4WTlAk0+ZDEv/r+C5bd
        GkhjQ629gMHQLoFf4bz/DOfhueCkHs0FImEwR83TrSVG37AlOFMDCUNPW6TSBWA2qpna+EphgNZL
        xwlSQDOszpjYDIL4OjEdzuzIUx9QFGW8H7hMbVMjeWGqy05Rzw4f0PUUSP2qdhlX9YzHPgfouZOM
        ToiOG4xCBDpBSKctCsozAJi8ZXNZPZ0PRqaZ0lSFz+w42RoZdYPOUVi9kx9o9K73CiFRmcdmNjE3
        Ar/l9OlsHnU2n7Moim28kAFGQA7FuVVQkU6W/Rf2VrOj8ywj2SGD5njbZjQiFnvDS+lbJtByIFNt
        i4QTOdXdzZMJcyTY1O/LQsQUQWa9CVZk102AllEw1hzj3P+mxQ/uIGRb6yUJh8LP7ZQiJVVv5bhI
        XG7EYwJO9eRQJH3ipDsRTixzPwdOeiYX/6JJepG5VpqcfExQ1rIKlsCr3mAUAhFW6DOkOnFjvRmW
        i/MVHDmkSwEViddDcv+0PpAD3Htb314u17U26J+d/ePQq/o0XLqZOJQvgPhctlbjXONfRMC5SHa5
        1FKQO5ZzVNauSlvymGt7yrQ+uH4LdAGrCvNXQKu8/wUqtT8UrwYAAA==
    headers:
      CF-RAY: [2d097e2aac27282e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:04:54 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d87262d0c92a3e72fed27c39a1b71e4381470895494; expires=Fri,
          11-Aug-17 06:04:54 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=77SXnxGM4Y7tqacnNo;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:54
          GMT; secure', 'loidcreated=2016-08-11T06%3A04%3A54.858Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:54 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['__cfduid=d87262d0c92a3e72fed27c39a1b71e4381470895494; expires=Fri,
          11-Aug-17 06:04:54 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=77SXnxGM4Y7tqacnNo;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:54
          GMT; secure', 'loidcreated=2016-08-11T06%3A04%3A54.858Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:04:54 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['598.0']
      x-ratelimit-reset: ['306']
      x-ratelimit-used: ['2']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [loid=77SXnxGM4Y7tqacnNo; loidcreated=2016-08-11T06%3A04%3A54.858Z;
          __cfduid=d87262d0c92a3e72fed27c39a1b71e4381470895494]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json
  response:
    body:
      string: !!binary |
[encoded data, 11475 characters]
        qaGM9foDp9c6PB271++2B7pdXTJ2u779/f8AJV+yGkjVAAA=
    headers:
      CF-RAY: [2d097e36dcdb282e-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7730']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:04:57 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['597.0']
      x-ratelimit-reset: ['303']
      x-ratelimit-used: ['3']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=sbErc1YTsy4DPQILbldySwnUeV5ACI17Y%2BMqjnbsOMepWzxwD2PoPflhFAid%2F8ghlqfVIfKXc8SICbAx%2FpM39RN2QapQbl%2FN']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
